<?php

use App\Http\Controllers\api\v1\BlogController;

Route::controller(BlogController::class)->group(function () {
    Route::get('/', 'getBlogs');
    Route::get('/categories', 'getBlogCategories');
    Route::get('/categories/{categoryId}', 'getBlogCategoryById');
    Route::get('/{blogId}', 'getBlogById');
    Route::patch('/{blogId}/update-read-count', 'updateReadCount');
});
